// Kismet
// Copyright (C) 1994, Joseph W. Reiss, All Rights Reserved
// jreiss@magnus.acs.ohio-state.edu
/////////////////////////////////////////////////////////////////////////////
// You are free to modify this code as you wish for your own personal use.
// You may only REDISTRIBUTE the code unaltered, with this copyright notice
// and all documentation intact.
//
// If you make any significant changes to this program, please drop me a
// line and let me know!

#import <appkit/appkit.h>
#import "DieView.h"

#define NUMHANDS	15
#define	NUMROLLS	3
#define NUMSCORES	8
#define HIGHSCOREFILE	".KismetScores"

@interface Controller:Object
{
    id	basicSection;
    id	basicSectionTotal;
    id	basicSectionTotal2;
    id	basicTotal;
    id	bonus;
    id	die1;
    id	die2;
    id	die3;
    id	die4;
    id	die5;
    id	grandTotal;
    id	highNames;
    id	highScorePanel;
    id	highScores;
    id	infoPanel;
    id	kismetSection;
    id	kismetSectionTotal;
    id  kismetWindow;
    id	refCardPanel;
    id  roller;
    id	rollCount;

    id	usedX;
    id  dieView[5];
    BOOL scoredHand;
    int lastHand;
    int lastRolls;
    BOOL lastSel[5];
    int handsLeft;
    int rollsLeft;
    int scores[NUMHANDS];
    int basicScore,kismetScore;
    char highScoreNames[8][80];
    int highScoreNums[8];
}

- newGame:sender;
- endGame;
- newHand;
- rollDice:sender;
- scoreHand:sender;
- endHand;
- undo:sender;
- newHighScore:(int)rank;
- newHighName:sender;
- showInfoPanel:sender;
- showRefCardPanel:sender;
- showScoresPanel:sender;
- updateBasicTotal;
- updateGrandTotal;
- updateKismetTotal;
- readHighScores;
- writeHighScores;

@end

@interface Controller(ApplicationDelegate)
- appDidInit:sender;
@end

@interface Controller(HighScorePanelDelegate)
- windowWillClose:sender;
@end
